Skip to main content
GET
Get File Channel by id

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

File channel id

Response

OK

clientId
string<uuid>

Populated in the platform API only, these fields do not exist in the DB Client this channel belongs to (set when membershipType is individual).

Example:

"a1b2c3d4-0000-0000-0000-000000000001"

companyId
string<uuid>

Company this channel belongs to (set when membershipType is company).

Example:

"a1b2c3d4-0000-0000-0000-000000000002"

createdAt
string
creatorId
string
data
string
id
string
identityId
string
lastNotificationSenderId
string<uuid>

Id of the member who triggered the most recent notification.

Example:

"a1b2c3d4-0000-0000-0000-000000000003"

lastNotificationTimestamp
string<date-time>

Notification fields populated from Fields["lastNotification"] Timestamp of the most recent notification on the channel.

Example:

"2024-01-15T09:30:00Z"

memberIds
string[]

Ids of the channel members.

Example:
membershipEntityId
string<uuid>

Id of the entity (client or company) the channel is based on (deprecated legacy field).

Example:

"a1b2c3d4-0000-0000-0000-000000000002"

membershipType
enum<string>

How the channel's members are grouped together.

Available options:
individual,
company,
group
Example:

"company"

object
string
previousAttributes
object
ref
string
rootClientPermissions
enum<string>

Default permission level granted to client members on the channel's root folder.

Available options:
read_write,
read_only
Example:

"read_write"

updatedAt
string